Bug 438794

Summary: compiz has high CPU usage(over 90%).
Product: [Fedora] Fedora Reporter: sangu <sangu.fedora>
Component: compizAssignee: Kristian Høgsberg <krh>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: low    
Version: rawhideCC: adel.gadllah, dcantrell, jfrieben, selinux
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-03-28 08:04:59 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 235706    
Attachments:
Description Flags
/var/log/Xorg.0.log from compiz "crash" none

Description sangu 2008-03-25 06:58:54 EDT
Description of problem:
compiz has high CPU usage(over90%).

Version-Release number of selected component (if applicable):
compiz-0.7.2-1.fc9

How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
VGA nvidia 6800gs.
vga driver : nvidia proprietary driver 169.12
compiz works well in compiz 0.6.2
Comment 1 Matěj Cepl 2008-03-26 06:20:38 EDT
Thanks for the report. We are sorry that we cannot help you with your problem,
but we are not able to support binary-only drivers. If you would be able to
reproduce this issue using only open source software, please, reopen this bug
with the additional information, but in meantime I have no choice than to close
this bug as CANTFIX (because we really cannot fix it).

For users who are experiencing problems installing, configuring, or using the
unsupported 3rd party proprietary "nvidia" video driver, Nvidia provides
indirect customer support via an online web based support forum.  Nvidia
monitors these web forums for commonly reported problems and passes them on to
Nvidia engineers for investigation.  Once they've isolated a particular problem,
it is often fixed in a future video driver update.

The NVNews Nvidia Linux driver forum is located at:

    http://www.nvnews.net/vbulletin/forumdisplay.php?s=&forumid=14

Once you have reported this issue in the Nvidia web forums, others who may have
experienced the particular problem may be able to assist.  If there is a real
bug occuring, Nvidia will be able to determine this, and will likely resolve the
issue in a future driver update for the operating system releases that they
officially support.

While Red Hat does not support the proprietary nvidia driver, users requiring
technical support may also find the various X.Org, XFree86, and Red Hat mailing
lists helpful in finding assistance:

X.Org mailing lists:
    http://www.freedesktop.org/XOrg/XorgMailingLists

XFree86 mailing lists:
    http://www.xfree86.org/sos/lists.html

Red Hat mailing lists:
    https://listman.redhat.com/mailman/listinfo
Comment 2 sangu 2008-03-26 07:00:37 EDT
The same problem happens in Thinkpad X60 (# Graphics: Intel Media Accelerator 950)
See Also : https://www.redhat.com/archives/fedora-test-list/2008-March/msg00812.html

http://www-307.ibm.com/pc/support/site.wss/document.do?sitestyle=lenovo&lndocid=MIGR-62475
Thinkpad x60 Features and specifications
Graphics  	Intel Graphics Media Accelerator 950
Comment 3 Tom London 2008-03-27 11:41:35 EDT
This continue to fail for me with compiz-0.7.2-2.fc9 and friends.

Reverting to earlier packages 'fixes':

compiz-0.6.2-6.fc9.i386.rpm
compiz-fusion-0.6.0-14.fc9.i386.rpm
compiz-fusion-extras-0.6.0-3.fc9.i386.rpm
compiz-fusion-extras-gnome-0.6.0-3.fc9.i386.rpm
compiz-fusion-gnome-0.6.0-14.fc9.i386.rpm
compiz-gnome-0.6.2-6.fc9.i386.rpm

When running with 0.7.2-2 I find these in my ~/.xsession errors:

compiz (video) - Warn: No 8 bit GLX pixmap format, disabling YV12 image format
compiz (video) - Warn: No 8 bit GLX pixmap format, disabling YV12 image format
compiz (video) - Warn: No 8 bit GLX pixmap format, disabling YV12 image format
compiz (video) - Warn: No 8 bit GLX pixmap format, disabling YV12 image format
compiz (video) - Warn: No 8 bit GLX pixmap format, disabling YV12 image format
compiz (video) - Warn: No 8 bit GLX pixmap format, disabling YV12 image format
compiz (video) - Warn: No 8 bit GLX pixmap format, disabling YV12 image format
compiz (video) - Warn: No 8 bit GLX pixmap format, disabling YV12 image format
compiz (video) - Warn: No 8 bit GLX pixmap format, disabling YV12 image format
compiz (video) - Warn: No 8 bit GLX pixmap format, disabling YV12 image format
compiz (video) - Warn: No 8 bit GLX pixmap format, disabling YV12 image format
compiz (video) - Warn: No 8 bit GLX pixmap format, disabling YV12 image format
compiz (video) - Warn: No 8 bit GLX pixmap format, disabling YV12 image format
compiz (video) - Warn: No 8 bit GLX pixmap format, disabling YV12 image format
compiz (video) - Warn: No 8 bit GLX pixmap format, disabling YV12 image format
compiz (video) - Warn: No 8 bit GLX pixmap format, disabling YV12 image format
compiz (video) - Warn: No 8 bit GLX pixmap format, disabling YV12 image format
compiz (video) - Warn: No 8 bit GLX pixmap format, disabling YV12 image format

(got 125 of these before I killed compiz).

Not sure if its relevant, but I notice these '(WW)' entries in /var/log/Xorg.0.log:
(II) intel(0): 0x00633000-0x00633fff: overlay registers (4 kB,
0x000000007fe33000 physical
)
(II) intel(0): 0x00634000-0x00643fff: xaa scratch (64 kB)
(II) intel(0): 0x007bf000:            end of stolen memory
(II) intel(0): 0x01000000-0x01ffffff: back buffer (15360 kB) X tiled
(II) intel(0): 0x02000000-0x02ffffff: depth buffer (15360 kB) X tiled
(II) intel(0): 0x04000000-0x07ffffff: front buffer (61440 kB) X tiled
(II) intel(0): 0x08000000-0x09ffffff: classic textures (32768 kB)
(II) intel(0): 0x10000000:            end of aperture
(WW) intel(0): ESR is 0x00000001, instruction error
(WW) intel(0): Existing errors found in hardware state.
(II) intel(0): fbc disabled on plane a
(II) intel(0): fbc disabled on plane a

I attach complete xorg.0.log below.

Hardware is Thinkpad X60, intel 945 graphics, no xorg.conf.

Comment 4 Tom London 2008-03-27 11:42:29 EDT
Created attachment 299344 [details]
/var/log/Xorg.0.log from compiz "crash"

Complete Xorg.0.log.
Comment 5 Adel Gadllah 2008-03-27 15:05:19 EDT
Should be fixed in 0.7.2-3
Comment 6 Joachim Frieben 2008-03-28 05:15:30 EDT
I had encountered the same issue for an ATI X800 PCIe card, and
indeed, compiz-0.7.2-3.fc9 fixed it.